BLOGS

FAQ

warning: file_get_contents(http://www.telize.com/geoip/54.224.50.28) [function.file-get-contents]: failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found in /var/www/www.4d.com/docs/includes/common.inc(1762) : eval()'d code on line 4.

What's the minimum version of 4D required to use 4D for Flex?

The minimum version of 4D required is 4D v11 SQL Release 2 (11.2)

Can you lock records in 4D for Flex?

You can use the SELECT FOR UPDATE feature. Please see the manual for more information.

Does 4D for Flex provide a persistent connection?

You've got two communication modes between 4D & Flex:

 

• Using HTTP (or SOAP over HTTP), working in disconnected mode, exchanging data in Plain Old XML (POX)

• Using SQL sockets with 4D for Flex, working in connected mode, exchanging data through a binary protocol

Which port is used by 4D for Flex?

The SQL Server port set in the preferences, default was 1919 until 11.2 and is now 19812.

 

Of course, this port needs to be available through firewalls.

What's the difference between 4D for Flex and DAX?

They both target developing RIAs for a 4D Server. But, they really follow two different schemes:


4D for Flex works in a connected mode, without any component on Server side. The communication between the client and the Server relies on a proprietary SQL protocol (same as the one used for ODBC support for 4D SQL), so it requires opening a special port on firewalls for allowing communication.